Package org.apache.tapestry5.commons.util

## Class DifferentClassVersionsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tapestry5.commons.internal.util.TapestryException
        - - org.apache.tapestry5.commons.util.DifferentClassVersionsException

- All Implemented Interfaces:
    `java.io.Serializable`, `Locatable`

      public class DifferentClassVersionsException
      extends TapestryException

  Exception used when trying to assemble a page but different versions of the same class are found.
  Since:
    5.8.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DifferentClassVersionsException​(java.lang.String message, java.lang.String className, java.lang.ClassLoader classLoader1, java.lang.ClassLoader classLoader2)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.ClassLoader` | `getClassLoader1()` |
    `java.lang.ClassLoader` | `getClassLoader2()` |
    `java.lang.String` | `getClassName()` |

    - ### Methods inherited from class org.apache.tapestry5.commons.internal.util.TapestryException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DifferentClassVersionsException

          public DifferentClassVersionsException​(java.lang.String message,
                                                 java.lang.String className,
                                                 java.lang.ClassLoader classLoader1,
                                                 java.lang.ClassLoader classLoader2)

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

    - #### getClassLoader1

          public java.lang.ClassLoader getClassLoader1()

    - #### getClassLoader2

          public java.lang.ClassLoader getClassLoader2()